.pagination {
    display: flex;
    flex-wrap: wrap;
    grid-gap: 5px;
    justify-content: center;
    align-items: center;
}

.pagination-page,
.pagination-divide {
    width: 36px;
    height: 36px;
    padding: 0;
    border: 1px solid #EBEDEF;
    border-radius: 12px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: var(--bg);
    color: var(--orange);
    font-size: 16px;
    font-weight: 500;
    line-height: 1.2;
    transition: border-color 0.4s ease, color 0.4s ease;
    text-decoration: none;
}

.pagination-active-page {
    background-color: var(--orange);
    border-color: var(--orange);
    color: var(--bg);
}

@media (hover: hover) and (pointer: fine) {
    .pagination-page:not(.pagination-active-page):hover {
        border-color: var(--orange-hover);
        color: var(--orange-hover);
    }
}

.pagination-page svg {
    width: 24px;
    height: 24px;
}